Bug 461309 - (system-bootloader) File extension(.png) in .desktop file
File extension(.png) in .desktop file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-boot (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 14:21 EDT by Luya Tshimbalanga
Modified: 2009-06-10 04:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 04:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2008-09-05 14:21:32 EDT
Description of problem:
Icon reference in .desktop file contains file extension (.png) which prevents
effectively theming it, e.g. if the used icon theme is based solely on SVGs.


Version-Release number of selected component (if applicable):
0.2.20-1

How reproducible:
Always

Steps to Reproduce:
None
  
Actual results:
Hard link on .desktop file

Expected results:
name convention should  follow Icon Naming Guidelines.

Additional info:
Just dropping the extension is fine (i.e. to Icon=system-config-boot), but
it
would be even better if the icon name could be changed to something more
general and follow the Icon Naming Guidelines [1]. Suggestion is
preferences-system-bootloader.

Also, as the icon is used in the application itself, it would be nice to look
it up the correct way [2]. GTK has already prepared look-up functions for that,
so the implementation should not be hard. Patch attached to bug #454402 might
be helpful.

[1]
http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html#guidelines

[2]
http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#icon_lookup
Comment 1 petrosyan 2008-11-30 12:28:15 EST
this bug has been fixed in Fedora 10.

since sytem-config-boot-0.2.21-1
Comment 2 Bug Zapper 2009-06-09 22:37:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Martin Sourada 2009-06-10 04:35:44 EDT
Hm... as petrosyan noted, this is already fixed. I wonder, why the bug is still open... Closing as nextrelease.

Note You need to log in before you can comment on or make changes to this bug.